Page MenuHomePhabricator

"account-creation-assistance" Cloud VPS project jessie deprecation
Closed, ResolvedPublic

Description

The end of life of Debian Jessie is approaching in 2020 and we need to move to Debian Buster (or Stretch) before that date.

All instances in the account-creation-assistance project need to upgrade as soon as possible. Instances not upgraded by 2019-12-31 may be subject to deletion unless prior arrangements for an extended deadline has been approved by the Cloud VPS administration team.

Remaining Debian Jessie instances (live report):

Listed administrators are:

See also:

More info on current project instances is available via openstack browser

Details

Due Date
Dec 31 2019, 11:59 PM

Event Timeline

StrikerBot triaged this task as Medium priority.Oct 26 2019, 12:31 AM
StrikerBot created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 26 2019, 12:31 AM

Acknowledged.

-db3 is trivial, as it's shut down already and is hanging around simply because I've not checked everything was moved away from it, which I really should do soon. -mwoauth has historically been a pain every time I've had to deal with it, but realistically shouldn't be an issue either.

-appserver4 is going to be more problematic, as a lack of volunteer time has so far stalled our move from PHP5, and so the migration of that instance might run close to the deadline.

stwalkerster updated the task description. (Show Details)Oct 28 2019, 9:49 PM
bd808 added a subscriber: bd808.Dec 4 2019, 6:24 PM

The Cloud Services team would like to have Debian Jessie systems replaced with Debian Buster (or Stretch if necessary) before 2019-12-31. Please do respond of this task with comments if you know you will not be able to meet that target date or have additional questions about what to do or how to do it. Ideally you will create new instances in your Cloud VPS project, test them, and then migrate any final state data to the new instances before deleting the old Jessie instances. If you need more quota space in your project to create new instances in parallel with your existing instances please create a quota request task describing the increase you need and referencing this deprecation task.

JJMC89 updated the task description. (Show Details)Dec 4 2019, 6:27 PM

I've tried to migrate most stuff over to a new instance, but I've still got everything pointing at the old instance while I test that everything hasn't broken horribly. At the moment, I've done a lift-and-shift of the PHP5 code in the vague hope nothing breaks, but obviously that's not the best approach.

Having said that, some of our support tooling is built on top of MongoDB, and this isn't present in the repositories used by the new Buster image. It'll be a pain to lose it, but it's not absolutely required.

bd808 added a comment.Dec 15 2019, 9:46 PM

Having said that, some of our support tooling is built on top of MongoDB, and this isn't present in the repositories used by the new Buster image. It'll be a pain to lose it, but it's not absolutely required.

I haven't tried it, but the upstream project hosts an apt repo and has a tutorial for using it to install on Buster.

I've just had to roll back from the Buster instance to the Jessie instance after reports of data corruption. Thankfully, I'd left the old instance running so a simple proxy redirection is all that was needed to switch back.

I'm currently away for Hogmanay with only my smartphone, so my likelihood of investigating and properly resolving this before 2020 is now slim.

The 2020-04-25 EOL date for Debian Jessie is rapidly approaching. Projects where the status of migration is unknown maybe subject to forced instance shutdown on or before that date. Please reply with a rough timeline/plan for the resolution of this task.

Apologies, I forgot to update this task - all Jessie instances have already been shut down and deleted.

Krenair closed this task as Resolved.Mar 8 2020, 1:51 PM
Krenair added a subscriber: Krenair.

confirmed, thanks